Package com.emc.d2fs.models.app_info

# Class AppInfo

java.lang.Object
com.emc.d2fs.models.app_info.AppInfo

All Implemented Interfaces:
  `Serializable`

public class AppInfo extends Object implements Serializable

Java class for app_info complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="app_info">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="repositories_info" type="{http://www.emc.com/d2fs/models/repository_info}repository_info" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="defaultRepositoryName" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AppInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultRepositoryName()`
  Gets the value of the defaultRepositoryName property.
  `List<RepositoryInfo>`
  `getRepositoriesInfo()`
  Gets the value of the repositoriesInfo property.
  `void`
  `setDefaultRepositoryName(String value)`
  Sets the value of the defaultRepositoryName property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AppInfo

    public AppInfo()

- ## Method Details

  - ### getRepositoriesInfo

    public List<RepositoryInfo> getRepositoriesInfo()
    Gets the value of the repositoriesInfo property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the repositoriesInfo property.

    For example, to add a new item, do as follows:

            getRepositoriesInfo().add(newItem);

    Objects of the following type(s) are allowed in the list `RepositoryInfo`

  - ### getDefaultRepositoryName

    public String getDefaultRepositoryName()
    Gets the value of the defaultRepositoryName property.
    Returns:
      possible object is `String`

  - ### setDefaultRepositoryName

    public void setDefaultRepositoryName(String value)
    Sets the value of the defaultRepositoryName property.
    Parameters:
      `value` - allowed object is `String`